const dev = {
  baseURL: 'http://192.168.0.179:82/api',
  host: 'localhost',
}
const pro = {
  baseURL: 'http://182.92.186.22:83/api',
  host: 'http://182.92.186.22:83/api',
}

const isDev = true;

export default {
  /*
  ** Nuxt rendering mode
  ** See https://nuxtjs.org/api/configuration-mode
  */
  mode:         'universal',
  /*
  ** Nuxt target
  ** See https://nuxtjs.org/api/configuration-target
  */
  target:       'server',
  /*
  ** Headers of the page
  ** See https://nuxtjs.org/api/configuration-head
  */
  head:         {
    title: process.env.npm_package_name || '',
    meta:  [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: process.env.npm_package_description || '' },
    ],
    link:  [
      { rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' },
    ],
  },
  /*
  ** Global CSS
  */
  css:          [
    'element-ui/lib/theme-chalk/index.css',
    '@/assets/scss/main.scss'
  ],
  /*
  ** Plugins to load before mounting the App
  ** https://nuxtjs.org/guide/plugins
  */
  plugins:      [
    '@/plugins/element-ui', '~/plugins/axios.http', {src:'~plugins/loadsh.js',ssr: false},
  ],
  /*
  ** Auto import components
  ** See https://nuxtjs.org/api/configuration-components
  */
  components:   true,
  /*
  ** Nuxt.js dev-modules
  */
  buildModules: [],
  /*
  ** Nuxt.js modules
  */
  modules:      ['@nuxtjs/axios'],
  /*
  ** Build configuration
  ** See https://nuxtjs.org/api/configuration-build/
  */
  build:        {
    transpile: [/^element-ui/],
    // 异步加载样式 默认false
    extractCSS: true
  },
  // server: {
  //   port: 3000, // default: 3000
  //   host: '192.168.0.179' // default: localhost,
  // },
  // server: {
  //   port: 3000, // default: 3000
  //   host: isDev ? dev.host : pro.host // default: localhost,
  // },
  axios:        {
    // baseURL: isDev ? dev.baseURL : pro.baseURL
    baseURL: 'http://192.168.0.179:82/api',
    // baseURL: 'http://182.92.186.22:83/api', // Used as fallback if no runtime config is provided
  },
};
